#ifndef __SERIAL_H
#define __SERIAL_H

// Don't make this buffer bigger ! Or it may be that
// you loose full text lines, or your SpecAnalyzer looks
// very strange !
#define TEXT_BUFFER_SIZE		256

#define GFX_BUFFER_SIZE			4096
//#define GFX_BUFFER_SIZE			512  //this should be used for FT245BM
//#define GFX_BUFFER_SIZE			256   //this is good for PIC18F2550


extern HANDLE porth;

HANDLE SerialInit(char*, int); 

char SerialGetc(HANDLE*);

void SerialPutc(HANDLE*, unsigned char);

char* SerialGets(HANDLE*);

void SerialPuts(HANDLE*, unsigned char*);

int SerialPutToTextBuffer(HANDLE*, unsigned char);
int SerialFlushTextBuffer(HANDLE*);

int SerialPutToGfxBuffer(HANDLE*, unsigned char);
int SerialFlushGfxBuffer(HANDLE*);

extern unsigned int textbuffersize;
extern unsigned int gfxbuffersize;
extern unsigned int gfxbuffercount;

#endif